Changes/archive/2005

Материал из ALT Linux Wiki
Перейти к: навигация, поиск


2005[править]

Декабрь[править]

30.12.2005

Тем, кто пользуется KMail, следует поостеречься с обновлением до KDE 3.5: как-то слишком тормозить стал, вылетает. А также могут быть проблемы из-за смены схемы работы с IMAP.

однако gns говорит: у меня все хорошо работает. единственное, вернулся старый глюк - когда на imap включено отображение тредов, очень редко исчезает текст из списка сообщений, остаются пустые строки в виде дерева. переключение по папкам восстанавливает нормальный вид. крэшей за три дня пользования не было.

26.12.2005

Майнтейнер
rp-pppoe
рекомендует пока поставить пакет на hold. Майнтейнер
libao
говорит: "если у вас после этого обновления пропадёт звук, надо просто сказать: apt-get install libao-full" (#8633)

25.12.2005

Если у вас используются pcmcia-карты, после обновления они перестанут работать из-за того, что в /etc/modules.conf осталось

pre-install pcmcia_core CARDMGR_OPTS=-f /etc/rc.d/init.d/pcmcia start

См. altbug:8733

дополнение: могут и не дождаться _после_, а перестать работать непосредственно во время обновления, что особенно чревато при забирании пакетов по NFS через сетевую карту в PCMCIA-слоте. Предполагаемый быстрый объезд -- chmod -x /etc/init.d/pcmcia _перед_ обновлением, чтоб не смог выдернуть yenta_socket или на чём слот живёт. (mike@)

17.12.2005

В пакете
fvwm
2.5.14-alt1
, который скоро будет в Сизифе, все файлы переехали из /usr/X11R6 в /usr, поэтому нужно быть внимательным при обновлении, возможно, придётся поправить какие-то пути в своей конфигурации. Пакет
fvwm-themes
0.7.0-alt1
несовместим с новой сборкой fvwm; пользователям fvwm-themes рекомендуется поставить fvwm на Hold до выхода обновления fvwm-themes (altbug:8673

).

11.12.2005

Андрей Булава сообщает о известных проблемах с vmware-5.0 и linux-2.6.14. Выход -- 5.5, 2.6.12 или патчить.

06.12.2005

Прозвучала отмена грядущего шторма от 05.12.2005. В сизиф выложен
Xorg
-6.9, а не 7.0. Владельцы nvidia пока могут спать спокойно ;)


05.12.2005

Прозвучало предупреждение владельцам карт NVIDIA -- в Sisyphus уходит
Xorg
-6.99.99.903 aka 7.0, под который ещё не собран пакет с драйвером nvidia (...а также переехавший из /usr/X11R6 в /usr).

Ноябрь[править]

28.11.2005

В связи с приездом в сизиф nss, сообщают о том, что снова запускаются гномовские часики. Чтобы они запустились и у вас, на машине должны стоять два пакета, не вытягивающиеся по зависимостям: libnss и libnspr.

Майнтейнер
xorg-x11
понял одну из проблем, возникших у некоторых в связи с отказом от использования xfs по умолчанию. Изначально замечание было про "русские буковки в меню xmms"...

27.11.2005

Майнтейнер
xorg-x11
предупреждает о приближающемся... нет, всего лишь X.Org-7.0. Переезд (с прицелом на исчезновение /usr/X11R6) предполагается по возможности автоматический; майнтейнерам пакетов со шрифтами стоит уделить внимание на драфт fsi:AltLinux/Policy/Fonts.

25.11.2005

Завтра ожидается исправление новой сборки
php
, обладающей кроме ряда полезных фич и проблемами при обновлении. Бишь 4.4.2-alt0.cvs20051121 лучше не ставить, подождав alt0.cvs20051121.1.

24.11.2005

Майнтейнер emacs22 в Daedalus интересуется мнением общественности по поводу emacsen в Sisyphus, предлагая своё видение вариантов.

Предлагается поставить
fuse
на Hold или предпринять иные действия для поддержания работоспособности до синхронизации kernel/userspace.

23.11.2005

Новый
udev_0.75
требует для нормальной работы ядро не ниже
2.6.12

Иначе не все нужные файлы создаются в /dev

19.11.2005

Мейнтейнер GNOME категорически не рекомендует обновлять
Mozilla
до версии 1.7.12-alt3, поскольку в этой версии мейнтейнер Mozilla перенес библиотеки из /usr/lib в /usr/lib/mozilla, что приводит к массовому отказу программ (в том числе апплета часов GNOME), зависящих от них и собранных в расчёте на то, что библиотеки лежат по старому пути. Сломалась также сборка пакетов, зависящих от Mozilla.

15.11.2005

В связи с обнаруженными проблемы безопасности в sudo рекомендуется добавить в /etc/sudoers строку
Defaults    env_reset
и исправить всё, что перестанет работать :)

13.11.2005

Проблема с mod_php/php-libs
: После обновления до php-libs-4.4.1-alt0.cvs20051010.i586.rpm наблюдается зависание процессов libhttpd пр формировании страниц WackoWiki. Откат решил проблему. altbug:8486

Будьте осторожны с обновлением dhcp-server - altbug:8493

12.11.2005

Если вам нужна Java для OpenOffice.org2, ставьте пакет j2se1.4-blackdown - это та версия, с которой ООо собирался.

10.11.2005

Обновление libgsf (для gnumeric) чревато переменами для libwv libwv2 libwpd abiword koffice-kword librsvg2.

07.11.2005

Мейнтейнер
Meld
рекомендует воздержаться от обновления до версии 1.1.1, в связи с проблемами в русификации. Или, если уж вы обновились, помогите с поиском причины бага.

Обратите внимание, что пока gnumeric "не живой", так что воздержитесь от обновления libgal2.

05.11.2005

"Если проявятся дубликаты пунктов меню -- не пугайтесь, в будущем это будет исправлено в лучшую сторону", предупреждает майнтейнер
menu
.

Октябрь[править]

13.10.2005

С новыми
drm
-модулями, собранными с
kernel-source-drm
версии
2005.10.08
, не работает DRI при использовании модуля i915 ( например для таких видеокарт, как i855GM) - altbug:8205 . UPD: в модулях
drm
версии
2005.11.18
эта проблема исправлена. На сообщение о проблеме с
hal
(не монтируется USB HDD) последовало "hal-0.5.4-alt5 исправляет".

07.10.2005

Тихо и сперва незаметно обновился
rpm
до версии
4.0.4-alt49
, исправляя #8089, что вызвало широкий резонанс среди разработчиков. UPD: смягчение проблемы

Сентябрь[править]

27.09.2005

Дмитрий Левин предупреждает об обновлении
Linux-PAM
и необходимости перезапустить после оного сервисы, его использующие (включая sshd и crond, а также *dm).

18.09.2005

Если наблюдаются кракозябры вместо кириллицы в менюшках, например, xmms -- проверьте, установлен ли пакет xorg-x11-cyrillic-fonts [умеренно старые грабли]

xorg-x11-server-6.8.99.900-alt6: для Radeon 7000, 9800 (похоже любых). Работает VESA и fbdev. Кстати, зато в этих режимах пиктограммы нормально рисуются #7831. Правда в VESA в KDE пиктограммы уплывают со своих мест...

13.09.2005

после обновления на
dbus-0.50
он перестает работать... необходимо очистить содержимое каталога /var/run/dbus/ и выполнить service messagebus restart

08.09.2005

wget-1.10.1
имеет проблемы с SSL, отсутствовавшие в 1.10. Майнтейнер в курсе, апстрим -- не знаю.

05.09.2005

Новый ведущий майнтейнер
GNOME
сообщает об уже обнаруженных в 2.12 граблях, в особенности касательно gnome-panel. Новый и улучшенный
xorg-x11-6.8.99.900-alt5
: теперь ломает даже acpid. :-)
Обновляемся до acpid-1.0.4-alt5.

Если в k3b куда-то пропало нижнее окошко с кнопками создания проектов, попробуйте стереть настройки. (задним числом)

04.09.2005

"Данное письмо адресуется всем сделавшим dist-upgrade и получившим в итоге нерабочий kcontrol, ненастраиваемый konqueror и может ещё чего..."

03.09.2005

Только для старожилов: начиная с pam-0.80-alt0.1 (выпущенного 18.07.2005) можно столкнуться с проблемой отсутствия pam_stack.so при его использовании в /etc/pam.d. Например, может оказаться недоступной команда su.

02.09.2005

Существенно обновился libgtk+2 и его зависимости. В связи с этим возможны проблемы с программами, использующими Perl-Gtk, wxGTK (import wxPython с необновлённым wxGTK приводит к аварийному завершению - исправлено 2005-09-15 в wxGTK2u-2.6.1-alt1.1), PyGtk.

Август[править]

31.08.2005

Из Иксов убрана раскладка ctrl_toggle - пользуйтесь rctrl_toggle или lctrl_toggle, а лучше caps_toggle :) 25.08.2005 После обновления pam* и tcb* пакетов может не пускать по ssh, выдавая в консоль "Connection to ssh-host closed by remote host.", а в логах машины, куда заходим -- "sshd[26967]: fatal: PAM session setup failed[6]: Permission denied". Решение проблемы -- комментирование строчки с pam_limits в /etc/pam.d/system-auth.

24.08.2005

Ограничились права на запуск X, возможно потребуется изменить их с помощью control xorg-server Причём сообщение о проблеме при запуске startx может выглядеть так:

PAM autentication failed, cannot start X server.
Perhaps you do not have console ownership
?

См. также https://bugzilla.altlinux.ru/show_bug.cgi?id=7752

17.08.2005

В версии 1.13 шрифтов DejaVu некорректно отображается шрифт DejaVu Sans Mono. Апстрим извещён, а пока, если вы пользуетесь моноширинным шрифтом из DejaVu, лучше остаться на 1.12. Update: отбой тревоги, проблемы исправлены в 1.13-alt2.

16.08.2005

etcnet-0.7.11-alt1 сломан -- нет файла /etc/net/options.d/00-default. в -alt2 пофиксено.

В пакете
firefox-1.0.6
обнаружена критическая ошибка. Пожалуйста, воздержитесь от установки версии firefox-1.0.6-alt3. (ссылка) В Сизифе появился исправленный пакет firefox-1.0.6-
alt4

11.08.2005

Обновление X.Org до 6.9RC приводит к несовместимости текущей версии драйверов ATI (fglrx). Их обновление ожидается в конце месяца, до тех пор следует либо поставить xorg-x11 на Hold, либо принять участие в тестировании обновлённого драйвера ati (должен поддерживать до r300).

08.08.2005

После обновления X.Org, касающегося пользовательских файлов xkb, невозможно залогиниться из dm, при этом в .xsession-errors никаких явных неприятностей нет. Проблема связана с файлом /etc/X11/xinit.d/xkb, замена его на предлагаемый исправляет ситуацию.

03.08.2005

Если кто-либо пропустил обсуждение, то вот предупреждение по поводу опасности связки -t vfat -o sync и Linux 2.6.12 для здоровья USB Flash.

Также, тем кто собирает пакеты на хост-системе не последней свежести необходимо обновить сам пакет apt (см сообщение от 21.07.2005), иначе с сегодняшнего дня такая сборка станет невозможна.

Июль[править]

21.07.2005

Анонс новой сборки пакета
apt-conf
содержит рекомендацию обновить его (возможно, вручную), поскольку добавлен ещё один ключ и в ближайшее время он также начнёт использоваться. (ссылка; накладка; "вручную";

новый apt-conf со старой подписью)

20.07.2005

(Немного запоздало) После обновления
alsa-oss
до 1.0.9 может падать
xmms
. Если совет от 12.07.2005 не помог, попробуйте запускать xmms как /usr/bin/xmms-bin (или как /usr/bin/xmms если xmms-bin отсутствует). Можно также установить xmms-out-alsa и настроить в xmms вывод через ALSA. См. также здесь

13.07.2005

Антон Фарыгин, он же Rider, заблаговременно предупреждает всех о грядущих переменах, связанных с выкатыванием новіх версий udev, hal, dbus... Общий диагноз: "теперь точно спасайся кто может", впрочем, есть и утешение: "на моих тестовых машинах все это безобразие работает отлично" ;-)

12.07.2005

(запоздало, но народ уже начинает спотыкаться) ldv@ предупреждает об изменении поведения
make
(улучшает совместимость с POSIX, но ухудшает обратную) Замечено, что юзерспейсная
alsa-1.0.9
(в частности aoss) не вполне дружит с kernel-modules-alsa версии 1.0.8; при странных сегфолтах следует в первую очередь обновить модули.

07.07.2005

Антон Фарыгин, он же Rider, заблаговременно предупреждает всех о грядущих переменах, связанных с выкатыванием udev-0.6.0. Общий диагноз: "спасайся кто может"

06.07.2005

Вчера отмечались проблемы с запуском
firefox
после обновления -- лечатся удалением пакетов и установкой с нуля, возможно, связано с правками по обновлению плагинов, жду уточнения. Следует также проверить наличие процессов firefox-bin, если не сегфолт, а задумчивость. altbug:6111
nvidia
может потребовать пинка в виде запуска x11setupdrv для выравнивания симлинков. подробности

update: помимо пинка, может потребоваться замена Load "/usr/X11R6/lib/modules/extensions/libglx.so~" на Load "glx~" в /etc/X11/xorg.conf

02.07.2005

postfix-2.2.4-alt3
содержит Sisyphus:admin/postfix-2.2.4-alt3, способных повлиять на работу скриптов, которые используют newaliases(1), postalias(1) или postmap(1).

Июнь[править]

24.06.2005

Пакет
squid
меняет структуру, незаинтересованным майнтейнер предлагает пока на Hold. Он же сообщает о том, что
etcnet-0.7.6
может быть нестабильной и рекомендует нежелающим рисковать подождать 0.7.7.

17.06.2005

hasher-1.0.17-alt1
содержит проблему, исправление -- в 1.0.18-alt1 (на ftp), потребуется удалить $workdir/cache. (ссылка)

14.06.2005

Стоит
удалить xresprobe перед dist-upgrade
. поскольку он конфликтует с ddcprobe=>hardware, из-за этого не обновляется nvidia_glx_common и apt начинает выносить все зависящее от xorg-x11-mesagl. ирония в том что в итоге он все равно удаляет xresprobe , но hardware не ставит.

10.06.2005

xorg-x11-6.8.2-alt8
включает обновлённый драйвер i810, в котором сломано определение частот (см. лог про 100000Mhz). Исправление (откат) будет в alt9.

Несмотря на то, что осиротевший (->orphaned) было libhowl стараниями добротелей вернулся в Сизиф, для GNOME, который от него зависит, он бесполезен из-за несовпадения soname. Ждём либо пересборки GNOME с новым libhowl, либо пересборки «старого» libhowl.

09.06.2005

Уточнение: новый механизм переключения libGL подразумевает запуск setgl из пакета hardware. (ссылка) Уточнение2: (vsu) иногда требуется ещё apt-get reinstall xorg-x11-mesagl Начиная с 15.06.2005 для включения libGL нужно запустить x11setupdrv из одноимённого пакета.

07.06.2005

При обновлении до
xorg-x11-6.8.2-alt8
будут снесены старые версии драйверов nvidia и fglrx (nvidia_glx_common <= 1.0.7174-alt4, fglrx_glx <= 8.12.10-alt1) из-за изменившегося механизма переключения libGL.so.1. Если эти драйверы необходимы, подождите их новых сборок.

02.06.2005

Перезапуск WindowMaker'а 0.91 при изменения окна с зажатым alt'ом. Точное описание проблемы и её решение тут.

02.06.2005

имеющийся php-mmcache с mod_php-4.3.12-alt0.cvs20050530 может приводить к падению apache child processes (#6990)


Май[править]

29.05.2005

php-4.3.12-alt0.cvs20050527
, кажется, сломан (Sisyphus:admin/php-4.3.12-alt0.cvs20050527)

28.05.2005

Achtung
Обновление от 28 мая выявило следующее: после dist-upgrade ломается sshd и никого не пускает.

Решение: не покидая консоль, где выполнялся dist-upgrade, выполнить service sshd restart.

26.05.2005

startup-0.9.8-alt1
теперь поддерживает mdadm (софтовый RAID): это заключается в том, что если у вас не был правильно настроен (но присутствовал) mdadm.conf, то система перестанет штатно загружаться после обновления. Sisyphus:admin/startup-0.9.8-alt1
pam-config-1.2.0-alt1
содержит некоторые изменения, о которых ldv@ Sisyphus:admin/pam-config-1.2.0-alt1.
PostgreSQL 8.0.3
замечен в падениях на INSERT (8.0.2 -- вроде нет). Sisyphus:admin/PgInsertCore
SquidGuard 1.2.0-alt5
неадекватно себя ведёт из-за опечатки в блэклисте (Sisyphus:admin/SquidGuard).

24.05.2005

Новый
mc
, к которому приложен юникодный патч, разучился перекодировать в редакторе/вьювере. (#6944)

Также если хотите видеть русские названия файлов под root, укажите в root/.i18n LC_CTYPE равным значению вашей локали.

22.05.2005

WindowMaker-0.91
-- бэкапим ~/GNUstep, по желанию холдим любимый 0.80.2. Sisyphus:admin/WindowMaker091

20.05.2005

В связи с обновлением kernel-source-ltmodem (и недостаточной оттестированностью этой версии) у пользователей этих драйверов на ядрах 2.6.x могут возникнуть проблемы после обновления.

13.05.2005

Не следует устанавливать ядра 2.6.11-std26-up-alt7/8 -- имеется Sisyphus:admin/2611alt7.

11.05.2005

Обновление glibc (2.3.5-alt1); Sisyphus:admin/GlibcUpgrade.

04.05.2005

GIMP
может перестать работать с (некоторыми?) JPEG-файлами; сообщения (проблема в libexif).

01.05.2005

Внимание, грабли
! Может отвалиться звук, подробности Sisyphus:admin/Sound/ModuleLoadProblem.

Апрель[править]

30.04.2005

Для того, чтобы GNOME ловил на лету (без перевхода) изменения в файловой системе, у вас должен быть запущен FAM. На данный момент для нормальной работы нужно вручную:

  1. Убедиться, что установлен пакет portmap и сервис portmap запускается как минимум в runlevel 5.
  2. Убедиться, что установлен пакет fam (не путать с libfam, на который есть зависимость в gnome-vfs2) и сервис xinetd, через который работает fam, запускается как минимум в runlevel 5.
  3. В файле /etc/xinetd.d/sgi_fam изменить установку disable на no.
  4. (Пере)запустить portmap.
    1. Если вы пытались играться с fam помимо xinetd, тут стоит проверить, что в rpcinfo -p не значится sgi_fam. Если значится, удалить его оттуда командой «rpcinfo -d sgi_fam 2».
  5. Перезапустить xinetd и GNOME.

11.04.2005

Теперь файл sysctl.conf раздвоился: часть, отвечающая за сетевые настройки, теперь находится в /etc/sysconfig/network-scripts/sysctl.conf (если вы не устанавливали etcnet), или в /etc/net/sysctl.conf для etcnet.
Обратите внимание, что настройки не перенесены - в частности, перестанет работать forwarding

06.04.2005

Обновился mod_php
Теперь он стал строг к владельцам файлов php и путям ко включаемых файлам. Проверьте свои сайты!

Выложено новое KDE (3.4.0). Возможно у некоторых пользователей не будет работать меню в KDE. Зачем-то kdmrc (конфиг kdm) начинает заново, выкидывая старый.

05.04.2005

Ошибка в пакете startup-0.9.6-alt1.noarch.rpm: системы с reiserfs возможно вообще не загрузятся
Рекомендуется параметр -y в вызове fsck заменить на -p (файл /etc/rc.d/rc.sysinit)
Исправлено в 0.9.6.1

Рекомендуется установить пакет udev_static-complete, чтобы появились "пропавшие" устройства типа /dev/ppp

17.02.2005

1. При использовании фирменных драйверов (fglrx) не работает нормально tv (v4l) – чёрный экран (xawtv) или зависание. Возможно это связано с DGA, так как DGA не работает и в WINE.
2. При обновлении OpenOffice нужно сделать ссылки OpenOffice.org-1.1.2, 1.1.3 на OpenOffice.org в каталоге /usr/lib, иначе будут проблемы при открытии/сохранении документов.
4. После обновления возможно перестанет открываться домашний каталог и konqueror с панели. Если не запускается firefox, удалите все его плагины. Чтобы меню было на русском языке, установите firefox-ru и выберите язык в меню Tools->Language. Рекомендуется перейти на submount (одноимённый пакет) (также установив пакет kernel-modules-subfs-std26-up), пример строчек для fstab:
/dev/floppy /mnt/floppy subfs fs=vfat,users,iocharset=koi8-r,sync,quiet,codepage=866,showexec,noexec,umask=0 0 0
/dev/cdrom  /mnt/cdrom  subfs       fs=cdfss,iocharset=koi8-r,noexec,nodev,ro,unhide 0 0

18.01.2005

1. После обновления Иксов удостоверьтесь, что пакеты xorg-x11-{xfs,xdm ,xserver} установлены в системе, иначе Иксы не запустятся.